# 现代密码学简介

## 全文 PDF

本书的全文 PDF 可在[现代密码学简介.pdf](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/blob/master/现代密码学简介.pdf)中下载。本书的 tex 源代码可在本仓库中([Evian-Zhang/Introduction-to-modern-cryptography](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography))中找到。本书内所有的代码可在本仓库中的 `algorithms` 目录下找到([Evian-Zhang/Introduction-to-modern-cryptography/algorithms](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/algorithms/))。

## 现有章节

### 第一章 绪论

本章主要介绍了密码学中的一些基础知识，如密钥等，以及密码体制、可证明安全的简介、Kerckhoff准则等。此外，还介绍了如凯撒密码、一次一密等经典密码。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_1](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_1/)中找到。

### 第二章 流密码与伪随机数发生器

本章首先介绍了流密码的工作原理，然后介绍了基于LFSR的伪随机比特发生器、BBS伪随机比特发生器、ANSI X9.17伪随机数发生器。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_2](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_2/)中找到。

### 第三章 分组密码

本章介绍了分组密码的设计准则、运行模式，以及DES, IDEA, AES等经典的分组密码算法。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_3](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_3/)中找到。

### 第四章 公钥密码

本章介绍了公钥密码，如RSA密码，以及ElGamal密码。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_4](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_4/)中找到。

### 第五章 哈希算法

本章介绍了哈希算法的 Merkle-Damgård 结构，以及MD5和SHA-256哈希算法。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_5](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_5/)中找到。

### 第六章 消息认证码

本章介绍了消息认证码的三种类型，以及Poly1305算法的细节，同时也介绍了认证加密的过程。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_6](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_6/)中找到。

### 第七章 数字签名

本章介绍了数字签名的基本概念，以及DSA算法。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_7](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_7/)中找到。

### 第八章 安全协议

本章介绍了安全协议，以及对称密码、非对称密码的密钥分配、密钥管理方法。

本章的 tex 源码可在[Evian-Zhang/Introduction-to-modern-cryptography/chapters/chapter_8](https://github.com/Evian-Zhang/Introduction-to-modern-cryptography/tree/master/chapters/chapter_8/)中找到。